<?php
   
require APPPATH . 'libraries/REST_Controller.php';
     
class Books extends REST_Controller {
    

    public function __construct() {
       parent::__construct();
       $this->load->model('common');
     
    }
       
	public function index_get($id = 0)
	{
        $data = $this->common->readdatacollection('Books');
        
        $this->response($data, REST_Controller::HTTP_OK);
	}
      
    
    public function create_post()
    {
        $input = $this->input->post();
        $input['createdDate'] = date('d-m-Y h:i:s A');
        
        $this->common->addnewdatamodel('Books', $input);
     
        $this->response($input, REST_Controller::HTTP_OK);
    } 
     
    
    public function update_post($id)
    {
        $input = $this->input->post();
        $this->common->updatedatamodel('Books', $id, $input);
     
        $this->response($input, REST_Controller::HTTP_OK);
    }
     
    
    public function remove_delete($id)
    {
        $this->common->deletedatamodel('Books', $id);
       
        $this->response(['Category deleted successfully.'], REST_Controller::HTTP_OK);
    }
    	
}